<!DOCTYPE html><meta charset="utf8"/>
<title>Dr. Mik's websites (:hostname)</title>
<script src=registry.js></script>
<p>Why, Hello!</p>
<p>This is where Dr. Mik's websites reside ...</p>
<li>
<input type=checkbox onclick="redirect(event);"> ◅  click here to be redirected to <a href=":gw_url/ipfs/:qm">/ipfs/:qm</a>
</li>
<p>contact: <a href=mailto:dr.mik@nutrauhealth.com>dr.mik@nutrauhealth.com</a>
<script>
 console.log('registry:',registry);
 var qm;
 var uri;
 var url;
 var host = location.host;
 var hostname = location.hostname.replace('www.','');

 let e = document.getElementsByTagName('title')[0];
     e.innerHTML = e.innerHTML.replace(/:hostname/g,hostname);
     e.innerHTML = e.innerHTML.replace(/:host/g,host);

 if (typeof(registry) != 'undefined') {
    if (typeof(registry[hostname]) != 'undefined') {
       uri = registry[hostname];
       console.log('qm: %s (%s)',qm,hostname)
    } else {
       uri = registry.default;
       console.log('qm.default: %s (%s)',qm,hostname)
    }
 }

 ok.then( ok => {
 if (ok) {
   console.log('gw_url: %s ok!',gw_url)
 } else {
   gw_url= 'https://ipfs.blockringtm.ml';
   console.log('gw_url: %s !ok',gw_url)
 }

 if (uri.match(new RegExp('^/ip[fnm]s/'))) {
   url = `${gw_url}${uri}`;
   qm = uri.match(RegExp('/ipfs/(.*)'))[1];
 } else if (uri.match(/^[zQbk]/)) {
   qm = uri
   uri = '/ipfs/'+qm;
   url = `${gw_url}/ipfs/${uri}`;
 } else {
   url = uri;
 }
 console.info('url:',url)
 let lnk = document.getElementsByTagName('a')[0];
 lnk.href = url;
 lnk.innerHTML = lnk.innerHTML.replace(/:gw_url/,gw_url)
 if (typeof(qm) != 'undefined') {
   lnk.innerHTML = lnk.innerHTML.replace(/:qm/,qm)
 } else {
   lnk.innerHTML = uri;
 }
 setTimeout(() => {
  console.log('REDIRECT TO: %s',url)
  // location.href = url;
 },1000);
});

function redirect(ev) {
  location.href = url;
}

</script>


